Returns array with of the names of the methods supported in this version of Libevent

- « Event::free

- Event::pending »

- PHP Manual
- Event
- Returns array with of the names of the methods supported in this version of Libevent

# Event::getSupportedMethods

(PECL event >= 1.2.6-beta)

Event::getSupportedMethods — Returns array with of the names of the methods supported in this version of Libevent

### Description

public static Event::getSupportedMethods(): array

Returns array with of the names of the methods(backends) supported in this version of Libevent.

### Parameters

This function has no parameters.

### Return Values

Returns array.

### See Also

- EventConfig